"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toTypeName = void 0;
const pluralize_1 = require("pluralize");
function toTypeName({ tableName, operation }) {
    const pascalCaseTableName = tableName.replace(/(?:^|_)(\w)/g, (_, char) => char.toUpperCase());
    const formattedTableName = (0, pluralize_1.singular)(pascalCaseTableName);
    if (operation === 'Get') {
        return formattedTableName;
    }
    return `${operation}${formattedTableName}Request`;
}
exports.toTypeName = toTypeName;
